ActorBehavior subclass: #SingleAcceptActorBehavior
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Actalk-Kernel-Library'!
SingleAcceptActorBehavior comment:
'Class SingleAcceptActorBehavior models behaviors for which we MAY assume that they are going to receive (and accept) only one single message.
This class creates a process with only one single message acceptance. This avoids creating infinite processes which will create wasted resources and are difficult to recover.
Examples are many classes of continuations, like class FactorialContinuation, as well as some example classes like classes Producer and Consumer in category Actalk-Ex-BoundedBuffer.'!


!SingleAcceptActorBehavior methodsFor: 'process setting'!

behaviorProcessBlock
	"The behavior accepts only one message."

	^self acceptOneMessageBehaviorProcessBlock! !
